Retrieve Deleted Object Record ID
Retrieve the IDs of object records that have been deleted from your Vault within the past 30 days. After object records are deleted from a Vault, their IDs are still available for retrieval for 30 days. After that, they cannot be retrieved. You can use the optional request parameters below to narrow the results to a specific date and time range within the past 30 days.
GET
/api/{version}/objects/deletions/vobjects/{object_name}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or text/csv |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The object name__v field value (product__v, country__v, custom_object__c, etc.). |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
start_date | Specify a date (no more than 30 days past) after which Vault will look for deleted object records. Dates must be YYYY-MM-DDTHH:MM:SSZ format, for example, 7AM on January 15, 2016 would use 2016-01-15T07:00:00Z |
end_date | Specify a date (no more than 30 days past) before which Vault will look for deleted object records. Dates must be YYYY-MM-DDTHH:MM:SSZ format, for example, 7AM on January 15, 2016 would use 2016-01-15T07:00:00Z |
Dates and times are in UTC. If the time is not specified, it will default to midnight (T00:00:00Z) on the specified date.
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v17.3/objects/deletions/vobjects/product__vResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseDetails": {
"total": 35,
"limit": 200,
"size": 35,
"offset": 0
},
"data": [
{
"id": "0PR0202",
"deleted_date": "2016-01-20T05:24:20Z"
},
{
"id": "0PR0303",
"deleted_date": "2016-01-20T04:23:21Z"
},
{
"id": "0PR0404",
"deleted_date": "2016-01-20T03:22:22Z"
},
]
}